Skip to main content
POST
Run an experiment

Authorizations

X-Auth-Token
string
header
required

Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.

Path Parameters

slug
string
required

The experiment's slug, or its id

Minimum string length: 1

Body

application/json
data
object[]
Maximum array length: 4000
dataset_id
string
parameters
object
row_indices
integer[]
Required range: 0 <= x <= 9007199254740991

Response

Run started

runId
string
required

Identifier to poll this run with

status
string
required
Allowed value: "running"
total
number
required

Number of cells this run will execute

runUrl
string

Link to the run in the LangWatch app

Last modified on October 12, 2026